Installation error at manage.py collectstatic

asked 2020-10-06 12:38:05 -0500

askar's avatar

I am trying to install Askbot on Ubuntu 16 using the instructions as per the linode site documentation

However, when I try to do this I get the following error:

(askbotenv) user@ubuntu:~$ sudo python /home/example_user/askbot/manage.py collectstatic --noinput Traceback (most recent call last): File "/home/example_user/askbot/manage.py", line 10, in <module> execute_from_command_line(sys.argv)

File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 354, in execute_from_command_line utility.execute()

File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 328, in execute django.setup()

File "/usr/local/lib/python2.7/dist-packages/django/__init__.py", line 18, in setup apps.populate(settings.INSTALLED_APPS)

File "/usr/local/lib/python2.7/dist-packages/django/apps/registry.py", line 108, in populate app_config.import_models(all_models)

File "/usr/local/lib/python2.7/dist-packages/django/apps/config.py", line 198, in import_models self.models_module = import_module(models_module_name)

File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module __import__(name)

File "/usr/local/lib/python2.7/dist-packages/compressor/models.py", line 1, in <module> from compressor.conf import CompressorConf # noqa

File "/usr/local/lib/python2.7/dist-packages/compressor/conf.py", line 6, in <module> from appconf import AppConf

File "/usr/local/lib/python2.7/dist-packages/appconf/__init__.py", line 1, in <module> from .base import AppConf # noqa

File "/usr/local/lib/python2.7/dist-packages/appconf/base.py", line 107 class AppConf(metaclass=AppConfMetaClass): ^

SyntaxError: invalid syntax

edit retag flag offensive close merge delete